﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using Cmdjy.Bll;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Security.Cryptography;

namespace Cmdjy.Bll.Tests
{
    [TestClass()]
    public class DesHelperTests
    {
        [TestMethod()]
        public void EncryptyTest() {
            byte[] IV = { 0x01,0x02,0x03,0x04,0x05,0x06,0x07,0x08 };
            var des = DesHelper.GetHelper(PaddingMode.PKCS7,CipherMode.CBC,IV,"12365478");
            Console.WriteLine($"Key:{des.Key}");
            string mingwen = getMingWen();
            Console.WriteLine($"明文:{mingwen}");
            var miwen = des.Encrypty(mingwen);
            Console.WriteLine($"密文：{miwen}");
            var mingwen2 = des.DesCrypty(miwen);
            Assert.AreEqual(mingwen,mingwen2);
        }

        public string getMingWen() {
            string str = "abcdefghijklmnopqrstuvwxyz123456789,./*-+";
            var result = new StringBuilder();
            int len = 1000;
            var rean = new Random();
            for(int i = 0;i < len;i++) {
                var p = rean.Next(str.Length);
                result.Append(str.ToCharArray()[p]);
            }
            return result.ToString();
        }
    }
}